from pydantic import BaseModel, Field
from typing import Optional


class SubjectCreateRequest(BaseModel):
    name: str = Field(..., example="Ilmu Pengetahuan ALam")
    alias: str = Field(..., examples="IPA", alias="short_name")
    description: Optional[str] = Field(
        None, example="Pelajaran tentang angka dan logika"
    )
